// Dynamic environment configuration that can be overridden by Docker
declare global {
  interface Window {
    __env?: {
      STRIPE_KEY?: string;
      API_URL?: string;
    };
  }
}

export const environment = {
  STRIPE_KEY:
    window.__env?.STRIPE_KEY ||
    'pk_test_51QrePYIvCfqz7ANgMizBorPpVjJ8S6gcaL4yvcMQnVaKyReqcQ6jqaQEF7aDZbDu8rNVsTZrw8ABek4ToxQX7KZe00jpGh8naG',
  apiUrl: window.__env?.API_URL || window.location.origin + '/backend',
};